### Method

# Gimp Drawable append_new_filter

#### Declaration [src]

    GimpDrawableFilter*
    gimp_drawable_append_new_filter (
      GimpDrawable* drawable,
      const gchar* operation_name,
      const gchar* name,
      GimpLayerMode mode,
      gdouble opacity,
      ...
    )

#### Description [src]

Utility function which combines `gimp_drawable_filter_new()` followed by setting arguments for the `GimpDrawableFilterConfig` returned by `gimp_drawable_filter_get_config()`, and finally appending with `gimp_drawable_append_filter()`

The variable arguments are couples of an argument name followed by a value, NULL-terminated, such as:

    filter = gimp_drawable_append_new_filter (drawable,
                                              GIMP_LAYER_MODE_REPLACE, 1.0,
                                              "gegl:gaussian-blur", "My Gaussian Blur",
                                              "std-dev-x", 2.5,
                                              "std-dev-y", 2.5,
                                              "abyss-policy", "clamp",
                                              NULL);

This method is not directly available to language bindings.

#### Parameters

`operation_name`

  Type: `const gchar*`

  The GEGL operation’s name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  The effect name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mode`

  Type: `GimpLayerMode`

  The blend mode.

`opacity`

  Type: `gdouble`

  The opacity from 0.0 (transparent) to 1.0 (opaque).

`...`

  Type: ``

  A `NULL`-terminated list of operation argument names and values.

#### Return value

Type: `GimpDrawableFilter`

The newly created filter.

The returned data is owned by the instance.